Subject: TeX::DVI::Parse module
From: [email-masked] (Honza Pazdziora)
Date: 20 Jul 1997 15:51:00 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hallo, I have uploaded to PAUSE TeX::DVI::Parse module, the original
location (before it gets to CPAN to authors/id/JANPAZ) is

	http://www.fi.muni.cz/~adelton/perl/TeX-DVI-Parse-0.02.tar.gz

Here is a piece from man page:

	TeX::DVI::Parse recognizes all commands from the DVI file and
	for each command found it calls method of appropriate name, if
	defined in the class.

	As an example there is class TeX::DVI::Print coming in this
	file, so you can do

		use TeX::DVI::Parse;
		my $dvi_parse = new TeX::DVI::Print("test.dvi");
		$dvi_parse->parse();

	and get listing of DVI's content printed in (hopefully)
	readable form.

I will be glad to hear any comments, or any bug reports.

Since I did not write many parsers in my life, the approach might be
bad, so if you can comment on the programming style, I will be happy
to read. What I am curious most is the use of unpack for traversing
through the file, and also reading the file with $/ undef. 

--
------------------------------------------------------------------------
 Honza Pazdziora | [email-masked] | http://www.fi.muni.cz/~adelton/
                   I can take or leave it if I please
------------------------------------------------------------------------